查询采购报表列表 - 产品
POST
/basicOpen/report/purchase/product/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/report/purchase/product/list | HTTPS | POST | 1 |
请求参数
offsetintegerlengthintegerstart_datestringend_datestringtime_typeintegersidsstringsearch_fieldstringsearch_valuestring请求示例
{
"offset": 0,
"length": 20,
"start_date": "2024-05-05",
"end_date": "2024-08-01",
"time_type": 1,
"sids": "109,136",
"search_field": "sku",
"search_value": "01"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
pic_urlstring必填spustring必填spu_namestring必填skustring必填product_namestring必填attributearray<object>必填隐藏子属性
attr_namestring必填attr_valuestring必填fnskustring必填mskustring必填purchase_quantitystring必填receive_quantitystring必填wait_quantitystring必填good_quantitystring必填bad_quantitystring必填return_quantitystring必填price_avgstring必填purchase_amountstring必填receive_amountstring必填wait_amountstring必填return_amountstring必填bad_ratestring必填return_ratestring必填category_namestring必填brand_namestring必填warehouse_namestring必填account_namestring必填buyer_namestring必填countrystring必填supplier_namearray<any>必填director_namearray<any>必填overdue_quantityinteger必填overdue_timestring必填overdue_quantity_ratestring必填overdue_time_avgstring必填exchange_quantityinteger必填返回示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "08df995517c04bfa82fe65c2d79d7306.1723171585845",
"response_time": "2024-08-09 10:46:26",
"data": [
{
"pic_url": "https://image.distributetop.com/lingxing-erp/90128554873982976/20240523/d937bd94d48d4177ba7c1601e8ec8b54.jpg",
"spu": "23131",
"spu_name": "1112",
"sku": "01",
"product_name": "烤红薯",
"attribute": [
{
"attr_name": "测试属性",
"attr_value": "1"
}
],
"fnsku": "X0040T7HJP",
"msku": "CN0001",
"purchase_quantity": "10000",
"receive_quantity": "100",
"wait_quantity": "9900",
"good_quantity": "0",
"bad_quantity": "1",
"return_quantity": "0",
"price_avg": "10.0000",
"purchase_amount": "100000.00",
"receive_amount": "1000.00",
"wait_amount": "99000.00",
"return_amount": "0.00",
"bad_rate": "1.00%",
"return_rate": "0.00%",
"category_name": "王",
"brand_name": "蛋",
"warehouse_name": "自发货仓库呀",
"account_name": "renxiao-US",
"buyer_name": "夏旺",
"country": "美国",
"supplier_name": [
"揭阳市揭东区新亨镇婉佳服装店"
],
"director_name": [],
"overdue_quantity": 0,
"overdue_time": "-",
"overdue_quantity_rate": "0.00%",
"overdue_time_avg": "-",
"exchange_quantity": 0
},
{
"pic_url": "https://image.distributetop.com/lingxing-erp/90128554873982976/20240523/d937bd94d48d4177ba7c1601e8ec8b54.jpg",
"spu": "23131",
"spu_name": "1112",
"sku": "01",
"product_name": "烤红薯",
"attribute": [
{
"attr_name": "测试属性",
"attr_value": "1"
}
],
"fnsku": "X0040T7HJP",
"msku": "CN0001",
"purchase_quantity": "1549",
"receive_quantity": "1049",
"wait_quantity": "500",
"good_quantity": "599",
"bad_quantity": "0",
"return_quantity": "0",
"price_avg": "10.0000",
"purchase_amount": "15490.00",
"receive_amount": "10490.00",
"wait_amount": "5000.00",
"return_amount": "0.00",
"bad_rate": "0.00%",
"return_rate": "0.00%",
"category_name": "王",
"brand_name": "蛋",
"warehouse_name": "旺仔仓库测试",
"account_name": "renxiao-US",
"buyer_name": "夏旺",
"country": "美国",
"supplier_name": [
"lx供应商",
"ABC的"
],
"director_name": [],
"overdue_quantity": 0,
"overdue_time": "-",
"overdue_quantity_rate": "0.00%",
"overdue_time_avg": "-",
"exchange_quantity": 0
}
],
"total": 4
}